<?php 
include_once '../conexion/conexion.php';
include '../validacion.php';
include '../siguientedia.php';
    date_default_timezone_set("America/Lima");
    $t = $_GET['t'];
	if($t == "m"){$turno = " - Mañana";} else if($t == "t"){$turno = " - Tarde";}
	$nombre = "Lista de Postulantes ".date('d-m-Y', strtotime($nect)).$turno.".xls";
	
	

			header('Expires: 0');
			header('Cache-control: private');
			header("Content-type: application/vnd.ms-excel;charset=iso-8859-15"); // Archivo de Excel
			header("Cache-Control: cache, must-revalidate"); 
			header('Content-Description: File Transfer');
			header('Last-Modified: '.date('D, d M Y H:i:s'));
			header("Pragma: public"); 
			header('Content-Disposition:attachment; filename="'.$nombre.'"');
			header("Content-Transfer-Encoding: binary");	


	if(isset($_GET['rol']) && isset($_GET['solicitud'])){

		$rol = $_GET['rol'];
		$solicitud = $_GET['solicitud'];
		

	echo utf8_decode("<table border='0'> 
						<tr > 
						<td style='font-weight:bold; border:1px solid #eee;background: #3b81ff;color:white;padding:10px; text-align: center;'>Nª</td>
						<td style='font-weight:bold; border:1px solid #eee;background: #3b81ff;color:white;padding:10px; text-align: center;'>POSTULANTE</td>
						<td style='font-weight:bold; border:1px solid #eee;background: #3b81ff;color:white;padding:10px; text-align: center;'>TIPO</td>
						<td style='font-weight:bold; border:1px solid #eee;background: #3b81ff;color:white;padding:10px; text-align: center;'>DOCUMENTO</td>
						<td style='font-weight:bold; border:1px solid #eee;background: #3b81ff;color:white;padding:10px; text-align: center;'>EDAD</td>
						<td style='font-weight:bold; border:1px solid #eee;background: #3b81ff;color:white;padding:10px; text-align: center;'>CELULAR</td>
						<td style='font-weight:bold; border:1px solid #eee;background: #3b81ff;color:white;padding:10px; text-align: center;'>DISTRITO</td>
						<td style='font-weight:bold; border:1px solid #eee;background: #3b81ff;color:white;padding:10px; text-align: center;'>FUENTE</td>
						<td style='font-weight:bold; border:1px solid #eee;background: #3b81ff;color:white;padding:10px; text-align: center;'>CONTACTO</td>
						<td style='font-weight:bold; border:1px solid #eee;background: #3b81ff;color:white;padding:10px; text-align: center;'>ENTREVISTA</td>
                        <?php if($idusuario_sesion == 1) { ?>  <td style='font-weight:bold; border:1px solid #eee;background: #3b81ff;color:white;padding:10px; text-align: center;'>SEDE</td>  <?php } ?>
						</tr>");

                        date_default_timezone_set('America/Lima');;
                        $hoy = date("Y-m-d");
						$contador = 0;
                        if($solicitud == "confirmados"){
                            if($t == "m"){
                                $sql = "SELECT * FROM agenda WHERE turno='MANANA' AND estado='CONFIRMADO' AND (fechaagenda='$next' OR fechareprogramacion = '$next') and sede = '$sede_sesion' ORDER BY idagenda DESC";
                            }
                            else if($t == "t"){
                                $sql = "SELECT * FROM agenda WHERE turno='TARDE' AND estado='CONFIRMADO' AND (fechaagenda='$next' OR fechareprogramacion = '$next') and sede = '$sede_sesion' ORDER BY idagenda DESC";
                            }
						}
						else if($solicitud == "agendados"){
						     if($t == "m"){
                                $sql = "SELECT * FROM agenda WHERE turno='MANANA' AND  ((agenda='AGENDADO' AND fechaagenda = '$next') OR (agenda='REPROGRAMADO' AND fechareprogramacion = '$next')) and sede = '$sede_sesion' ORDER BY idagenda DESC";
                            }
                            else if($t == "t"){
                                $sql = "SELECT * FROM agenda WHERE turno='TARDE' AND  ((agenda='AGENDADO' AND fechaagenda = '$next') OR (agenda='REPROGRAMADO' AND fechareprogramacion = '$next')) and sede = '$sede_sesion' ORDER BY idagenda DESC";
                                
                            }
							
						}
					    else if($solicitud == "asistieron"){
						    if($t == "m"){
                                $sql = "SELECT * FROM agenda WHERE estado='CONFIRMADO' AND (month(fechaagenda)='$next' OR month(fechareprogramacion) = '$next') and asistencia='SI' AND sede = '$sede_sesion' ORDER BY idagenda DESC";
                                //$sql = "SELECT * FROM agenda WHERE turno='MANANA' AND estado='CONFIRMADO' and asistencia='SI' AND (fechaagenda='$fecha' OR fechareprogramacion = '$fecha') and sede = '$sede_sesion' ORDER BY idagenda DESC";
                            }
                            else if($t == "t" ){
                                $sql = "SELECT * FROM agenda WHERE turno='TARDE' AND estado='CONFIRMADO' and asistencia='SI' AND (fechaagenda='$next' OR fechareprogramacion = '$next') and sede = '$sede_sesion' ORDER BY idagenda DESC";
                            }
							
						}
						
						else if($solicitud == "personalizado"){
						    
						}
						
						$consulta = $pdo->prepare($sql);
						$consulta->execute();
						$agendas = $consulta->fetchAll(PDO::FETCH_ASSOC);



				foreach ($agendas as $value) {

					$postulante = $value['postulante'];
					$tipodocumento = $value['tipodocumento'];
					$numerodocumento = $value['numerodocumento'];
					$edad = $value["edad"];
					$celular =  $value["celular"];
					$distrito = $value["distrito"];
					$fuente = $value["fuente"];
					$contactos = $value["idusuario"];
                    $sede = $value["sede"];
                    $turno = $value["turno"];
                    $agenda = $value['agenda'];
                    $vfechaagenda = $value['fechaagenda'];
                    $vfechareprogramacion = $value['fechareprogramacion'];
                    $estado = $value["estado"];
                    $asistencia = $value['asistencia'];
                    if($agenda == "AGENDADO"){
                        $fechaagenda = $vfechaagenda;
                    }
                    else if($agenda == "REPROGRAMADO"){
                        $fechaagenda = $vfechareprogramacion;
                    }
                    
					$contador = 1 + $contador;
                    					
					$sql = "SELECT * FROM usuario WHERE idusuario = '$contactos'";
						$consulta = $pdo->prepare($sql);
						$consulta->execute();
						$nusuario = $consulta->fetchAll(PDO::FETCH_ASSOC);

					foreach( $nusuario as $usuario){
						$contacto = $usuario["nombreusuario"];
					}
	
					 echo utf8_decode("<tr>
					 	<td style='border:1px solid #eee; text-align: start;'>".$contador."</td>	
						<td style='border:1px solid #eee; text-align: start;'>".$postulante."</td>
						<td style='border:1px solid #eee; text-align: center;'>".$tipodocumento."</td>
						<td style='border:1px solid #eee; text-align: center;'>".$numerodocumento."</td>
						<td style='border:1px solid #eee; text-align: center;'>".$edad."</td>
						<td style='border:1px solid #eee; text-align: center;'>".$celular."</td>
						<td style='border:1px solid #eee; text-align: start;'>".$distrito."</td>
						<td style='border:1px solid #eee; text-align: start;'>".$fuente."</td>
						<td style='border:1px solid #eee; text-align: start;'>".$contacto."</td>
						<td style='border:1px solid #eee; text-align: start;'>".$fechaagenda."</td>
                        <?php if($idusuario_sesion == 1) { ?> <td style='border:1px solid #eee; text-align: center;'>".$sede."</td> <?php }?>
						</tr>");

				}


			echo "</table>";
		}

			 ?>